#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    sound1.loadSound("3788__suonho__glitch-01-glitchcliche-suonho.mp3");
    sound2.loadSound("3795__suonho__glitch-08-jeniusjelinek-suonho.wav");
    center=ofGetWidth()/2;
    volume1=0;
    volume2=0;
    sound1.setLoop(true);
    sound2.setMultiPlay(true);
}
void ofApp::update(){
}
void ofApp::draw(){
    ofDrawBitmapString("Sound: http://www.freesound.org/people/suonho/sounds/3788/", 10,20);
    ofDrawBitmapString("Sound: http://www.freesound.org/people/suonho/sounds/3795/", center+10,20);
    ofDrawBitmapString("Volume: "+ofToString(volume1),10,40);
    ofDrawBitmapString("Speed: "+ofToString(sound1.getSpeed()),10,60);
    ofDrawBitmapString("Volume: "+ofToString(volume2),center+10,40);
    ofDrawBitmapString("Speed: "+ofToString(sound2.getSpeed()),center+10,60);

   ofLine(center,0,center,ofGetHeight());
}
void ofApp::keyPressed(int key){
}
void ofApp::keyReleased(int key){
}
void ofApp::mouseMoved(int x, int y){
}
void ofApp::mouseDragged(int x, int y, int button){
}
void ofApp::mousePressed(int x, int y, int button){
    if(x<center){
        sound1.play();
        volume1=ofMap(x,0,center,0,1);
        sound1.setVolume(volume1);
        sound1.setSpeed(ofMap(y,0,ofGetHeight(),0,3));
    }else{
        sound2.play();
        volume2=ofMap(x,center,ofGetWidth(),0,1);
        sound2.setVolume(volume2);
        sound2.setSpeed(ofMap(y,0,ofGetHeight(),0,3));
    }
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}